## Analizo-1.23.0.tar.gz

=== t/samples/printer/cpp/Makefile ===
printer: printer.cc
clean:
	rm -f printer
